Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.entity.mime.content
Class FileBody

    java.lang.Object
      org.apache.http.entity.mime.content.AbstractContentBody
          org.apache.http.entity.mime.content.FileBody

All Implemented Interfaces:
  ContentBody, ContentDescriptor

    public class FileBody

extends AbstractContentBody

Since:
  4.0

Constructor Summary
`FileBody(File file)`
`FileBody(File file, String mimeType)`
`FileBody(File file, String mimeType, String charset)`
`FileBody(File file, String filename, String mimeType, String charset)`

Method Summary
`String` | `getCharset()` The body descriptors character set, defaulted appropriately for the MIME type.
`long` | `getContentLength()` Returns the body descriptors content-length.
`File` | `getFile()`
`String` | `getFilename()`
`InputStream` | `getInputStream()`
`String` | `getTransferEncoding()` Returns the body descriptors transfer encoding.
`void` | `writeTo(OutputStream out)`

Methods inherited from class org.apache.http.entity.mime.content.AbstractContentBody
`getMediaType, getMimeType, getSubType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileBody

    public FileBody(File file,
                    String filename,
                    String mimeType,
                    String charset)

Since:
  4.1

### FileBody

    public FileBody(File file,
                    String mimeType,
                    String charset)

Since:
  4.1

### FileBody

    public FileBody(File file,
                    String mimeType)

### FileBody

    public FileBody(File file)

Method Detail

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Throws:
    `IOException`

### writeTo

    public void writeTo(OutputStream out)
                 throws IOException

  Throws:
    `IOException`

### getTransferEncoding

    public String getTransferEncoding()

  Description copied from interface: `ContentDescriptor`
  Returns the body descriptors transfer encoding.

  Returns:
    The transfer encoding. Must not be null, but "7bit", if no transfer-encoding was specified.

### getCharset

    public String getCharset()

  Description copied from interface: `ContentDescriptor`

  The body descriptors character set, defaulted appropriately for the MIME type.

  For `TEXT` types, this will be defaulted to `us-ascii`. For other types, when the charset parameter is missing this property will be null.

  Returns:
    Character set, which has been parsed from the content-type definition. Not null for `TEXT` types, when unset will be set to default `us-ascii`. For other types, when unset, null will be returned.

### getContentLength

    public long getContentLength()

  Description copied from interface: `ContentDescriptor`
  Returns the body descriptors content-length.

  Returns:
    Content length, if known, or -1, to indicate the absence of a content-length header.

### getFilename

    public String getFilename()

### getFile

    public File getFile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.